| CAEN FERS Library v1.1.4 SDK for FERS systems

Data Fields
picoTDC_Cfg_t Struct Reference

`#include <FERS_Registers_520X.h>`

Collaboration diagram for picoTDC_Cfg_t:

## Data Fields
union {
struct {
uint32_t magic_word: 8
uint32_t digital_reset: 1
uint32_t bunchcount_reset: 1
uint32_t eventid_reset: 1
uint32_t dropcnts_reset: 1
uint32_t errorcnts_reset: 1
uint32_t trigger_create: 1
uint32_t trigger_create_single: 1
uint32_t reserved1: 17
} bits
uint32_t reg
} | Control
union {
struct {
uint32_t reserved1: 1
uint32_t falling_en: 1
uint32_t single_readout_en: 1
uint32_t reserved2: 2
uint32_t highres_en: 1
uint32_t dig_rst_ext_en: 1
uint32_t bx_rst_ext_en: 1
uint32_t eid_rst_ext_en: 1
uint32_t reserved3: 8
uint32_t crossing_en: 1
uint32_t rx_en_extref: 1
uint32_t rx_en_bxrst: 1
uint32_t rx_en_eidrst: 1
uint32_t rx_en_trigger: 1
uint32_t rx_en_reset: 1
uint32_t left_suppress: 1
uint32_t channel_split2: 1
uint32_t channel_split4: 1
uint32_t reserved4: 6
} bits
uint32_t reg
} | Enable
union {
struct {
uint32_t untriggered: 1
uint32_t reserved1: 1
uint32_t relative: 1
uint32_t second_header: 1
uint32_t full_events: 1
uint32_t trigger_ch0_en: 1
uint32_t reserved2: 2
uint32_t header_fields0: 3
uint32_t reserved3: 1
uint32_t header_fields1: 3
uint32_t reserved4: 1
uint32_t header_fields2: 3
uint32_t reserved5: 1
uint32_t header_fields3: 3
uint32_t reserved6: 1
uint32_t max_eventsize: 8
} bits
uint32_t reg
} | Header
union {
struct {
uint32_t trigger_latency: 13
uint32_t reserved1: 3
uint32_t trigger_window: 13
uint32_t reserved2: 3
} bits
uint32_t reg
} | TrgWindow
union {
struct {
uint32_t trg_ch0_delay: 13
uint32_t reserved1: 3
uint32_t tot: 1
uint32_t tot_8bit: 1
uint32_t tot_startbit: 5
uint32_t tot_saturate: 1
uint32_t tot_leadingstartbit: 4
uint32_t reserved2: 4
} bits
uint32_t reg
} | Trg0Del_ToT
union {
struct {
uint32_t bunchcount_overflow: 13
uint32_t reserved1: 3
uint32_t bunchcount_offset: 13
uint32_t reserved2: 3
} bits
uint32_t reg
} | BunchCount
union {
struct {
uint32_t eventid_overflow: 13
uint32_t reserved1: 3
uint32_t eventid_offset: 13
uint32_t reserved2: 3
} bits
uint32_t reg
} | EventID
union {
struct {
uint32_t channel_offset: 26
uint32_t falling_en_tm: 1
uint32_t highres_en_tm: 1
uint32_t scan_en_tm: 1
uint32_t scan_in_tm: 1
uint32_t reserved1: 1
uint32_t channel_enable: 1
} bits
uint32_t reg
} | Ch_Control [64]
union {
struct {
uint32_t channel_buffer_size: 4
uint32_t readout_buffer_size: 4
uint32_t trigger_buffer_size: 4
uint32_t disable_ro_reject: 1
uint32_t errorcnts_saturate: 1
uint32_t reserved1: 2
uint32_t max_grouphits: 8
uint32_t reserved2: 8
} bits
uint32_t reg
} | Buffers
union {
struct {
uint32_t hrx_top_delay: 4
uint32_t hrx_top_bias: 4
uint32_t hrx_top_filter_trailing: 1
uint32_t hrx_top_filter_leading: 1
uint32_t hrx_top_en_r: 1
uint32_t hrx_top_en: 1
uint32_t hrx_bot_delay: 4
uint32_t hrx_bot_bias: 4
uint32_t hrx_bot_filter_trailing: 1
uint32_t hrx_bot_filter_leading: 1
uint32_t hrx_bot_en_r: 1
uint32_t hrx_bot_en: 1
uint32_t tx_strenght: 2
uint32_t reserved1: 6
} bits
uint32_t reg
} | Hit_RX_TX
union {
struct {
uint32_t dll_bias_val: 7
uint32_t dll_bias_cal: 5
uint32_t dll_cp_comp: 3
uint32_t dll_ctrlval: 4
uint32_t dll_fixctrl: 1
uint32_t dll_extctrl: 1
uint32_t dll_cp_comp_dir: 1
uint32_t dll_en_bias_cal: 1
uint32_t tg_bot_nen_fine: 1
uint32_t tg_bot_nen_coarse: 1
uint32_t tg_top_nen_fine: 1
uint32_t tg_top_nen_coarse: 1
uint32_t tg_cal_nrst: 1
uint32_t tg_cal_parity_in: 1
uint32_t reserved1: 3
} bits
uint32_t reg
} | DLL_TG
union {
struct {
uint32_t pll_cp_ce: 1
uint32_t pll_cp_dacset: 7
uint32_t pll_cp_irefcpset: 5
uint32_t pll_cp_mmcomp: 3
uint32_t pll_cp_mmdir: 1
uint32_t pll_pfd_enspfd: 1
uint32_t pll_resistor: 5
uint32_t pll_sw_ext: 1
uint32_t pll_vco_dacsel: 1
uint32_t pll_vco_dacset: 7
} bits
uint32_t reg
} | PLL1
union {
struct {
uint32_t pll_vco_dac_ce: 1
uint32_t pll_vco_igen_start: 1
uint32_t pll_railmode_vco: 1
uint32_t pll_abuffdacset: 5
uint32_t pll_buffce: 1
uint32_t pll_afcvcal: 4
uint32_t pll_afcstart: 1
uint32_t pll_afcrst: 1
uint32_t pll_afc_override: 1
uint32_t pll_bt0: 1
uint32_t pll_afc_overrideval: 4
uint32_t pll_afc_overridesig: 1
uint32_t reserved1: 10
} bits
uint32_t reg
} | PLL2
union {
struct {
uint32_t hit_phase: 2
uint32_t reserved1: 2
uint32_t trig_phase: 3
uint32_t reserved2: 1
uint32_t bx_rst_phase: 3
uint32_t reserved3: 1
uint32_t eid_rst_phase: 3
uint32_t reserved4: 1
uint32_t par_speed: 2
uint32_t reserved5: 2
uint32_t par_phase: 3
uint32_t sync_clock: 1
uint32_t ext_clk_dll: 1
uint32_t reserved6: 7
} bits
uint32_t reg
} | Clocks
union {
struct {
uint32_t reserved1: 4
uint32_t shift_clk1G28: 4
uint32_t shift_clk640M: 4
uint32_t shift_clk320M: 4
uint32_t shift_clk320M_ref: 4
uint32_t shift_clk160M: 4
uint32_t shift_clk80M: 4
uint32_t shift_clk40M: 4
} bits
uint32_t reg
} | ClockShift
union {
struct {
uint32_t hrx_enable_t: 32
} bits
uint32_t reg
} | Hit_RXen_T
union {
struct {
uint32_t hrx_enable_b: 32
} bits
uint32_t reg
} | Hit_RXen_B
union {
struct {
uint32_t pg_run: 1
uint32_t pg_rep: 1
uint32_t pg_direct: 1
uint32_t pg_ini: 1
uint32_t pg_en: 1
uint32_t pg_strength: 2
uint32_t reserved1: 1
uint32_t pg_rising: 18
uint32_t reserved2: 6
} bits
uint32_t reg
} | PulseGen1
union {
struct {
uint32_t pg_phase: 8
uint32_t pg_falling: 18
uint32_t reserved1: 6
} bits
uint32_t reg
} | PulseGen2
union {
struct {
uint32_t pg_reload: 18
uint32_t reserved2: 14
} bits
uint32_t reg
} | PulseGen3
union {
struct {
uint32_t error_flags_1: 10
uint32_t error_flags_2: 10
uint32_t error_flags_3: 10
uint32_t reserved1: 2
} bits
uint32_t reg
} | ErrorFlagCtrl
union {
struct {
uint32_t tg_delay_taps: 8
uint32_t reserved1: 24
} bits
uint32_t reg
} | DelayAdjust
union {
struct {
uint32_t ch_fillgrade: 8
uint32_t ch_dropped: 8
uint32_t ch_parity: 4
uint32_t scan_out: 1
uint32_t reserved1: 2
uint32_t ch_stateerr: 1
uint32_t reserved2: 8
} bits
uint32_t reg
} | Ch_Status [64]
union {
struct {
uint32_t tr_fillgrade: 8
uint32_t tr_dropped: 8
uint32_t tr_parity: 4
uint32_t reserved1: 3
uint32_t tr_stateerr: 1
uint32_t reserved2: 8
} bits
uint32_t reg
} | Trg_Status [4]
union {
struct {
uint32_t ro_fillgrade: 8
uint32_t ro_dropped: 8
uint32_t ro_corrected: 4
uint32_t reserved1: 3
uint32_t ro_multibiterr: 4
uint32_t reserved2: 5
} bits
uint32_t reg
} | RO_Status [4]
union {
struct {
uint32_t parity: 32
} bits
uint32_t reg
} | Cfg_Parity [3]
union {
struct {
uint32_t pll_selectedcap: 24
uint32_t reserved1: 8
} bits
uint32_t reg
} | PLL_Caps

## Detailed Description

Definition at line 389 of file FERS_Registers_520X.h.

## Field Documentation

## ◆ magic_word

uint32_t magic_word

Definition at line 393 of file FERS_Registers_520X.h.

## ◆ digital_reset

uint32_t digital_reset

Definition at line 394 of file FERS_Registers_520X.h.

## ◆ bunchcount_reset

uint32_t bunchcount_reset

Definition at line 395 of file FERS_Registers_520X.h.

## ◆ eventid_reset

uint32_t eventid_reset

Definition at line 396 of file FERS_Registers_520X.h.

## ◆ dropcnts_reset

uint32_t dropcnts_reset

Definition at line 397 of file FERS_Registers_520X.h.

## ◆ errorcnts_reset

uint32_t errorcnts_reset

Definition at line 398 of file FERS_Registers_520X.h.

## ◆ trigger_create

uint32_t trigger_create

Definition at line 399 of file FERS_Registers_520X.h.

## ◆ trigger_create_single

uint32_t trigger_create_single

Definition at line 400 of file FERS_Registers_520X.h.

## ◆ reserved1

uint32_t reserved1

Definition at line 401 of file FERS_Registers_520X.h.

## ◆ [1/27]

struct { ... } bits

## ◆ reg

uint32_t reg

Definition at line 403 of file FERS_Registers_520X.h.

## ◆

union { ... } Control

## ◆ falling_en

uint32_t falling_en

Definition at line 409 of file FERS_Registers_520X.h.

## ◆ single_readout_en

uint32_t single_readout_en

Definition at line 410 of file FERS_Registers_520X.h.

## ◆ reserved2

uint32_t reserved2

Definition at line 411 of file FERS_Registers_520X.h.

## ◆ highres_en

uint32_t highres_en

Definition at line 412 of file FERS_Registers_520X.h.

## ◆ dig_rst_ext_en

uint32_t dig_rst_ext_en

Definition at line 413 of file FERS_Registers_520X.h.

## ◆ bx_rst_ext_en

uint32_t bx_rst_ext_en

Definition at line 414 of file FERS_Registers_520X.h.

## ◆ eid_rst_ext_en

uint32_t eid_rst_ext_en

Definition at line 415 of file FERS_Registers_520X.h.

## ◆ reserved3

uint32_t reserved3

Definition at line 416 of file FERS_Registers_520X.h.

## ◆ crossing_en

uint32_t crossing_en

Definition at line 417 of file FERS_Registers_520X.h.

## ◆ rx_en_extref

uint32_t rx_en_extref

Definition at line 418 of file FERS_Registers_520X.h.

## ◆ rx_en_bxrst

uint32_t rx_en_bxrst

Definition at line 419 of file FERS_Registers_520X.h.

## ◆ rx_en_eidrst

uint32_t rx_en_eidrst

Definition at line 420 of file FERS_Registers_520X.h.

## ◆ rx_en_trigger

uint32_t rx_en_trigger

Definition at line 421 of file FERS_Registers_520X.h.

## ◆ rx_en_reset

uint32_t rx_en_reset

Definition at line 422 of file FERS_Registers_520X.h.

## ◆ left_suppress

uint32_t left_suppress

Definition at line 423 of file FERS_Registers_520X.h.

## ◆ channel_split2

uint32_t channel_split2

Definition at line 424 of file FERS_Registers_520X.h.

## ◆ channel_split4

uint32_t channel_split4

Definition at line 425 of file FERS_Registers_520X.h.

## ◆ reserved4

uint32_t reserved4

Definition at line 426 of file FERS_Registers_520X.h.

## ◆ [2/27]

struct { ... } bits

## ◆

union { ... } Enable

## ◆ untriggered

uint32_t untriggered

Definition at line 433 of file FERS_Registers_520X.h.

## ◆ relative

uint32_t relative

Definition at line 435 of file FERS_Registers_520X.h.

## ◆ second_header

uint32_t second_header

Definition at line 436 of file FERS_Registers_520X.h.

## ◆ full_events

uint32_t full_events

Definition at line 437 of file FERS_Registers_520X.h.

## ◆ trigger_ch0_en

uint32_t trigger_ch0_en

Definition at line 438 of file FERS_Registers_520X.h.

## ◆ header_fields0

uint32_t header_fields0

Definition at line 440 of file FERS_Registers_520X.h.

## ◆ header_fields1

uint32_t header_fields1

Definition at line 442 of file FERS_Registers_520X.h.

## ◆ header_fields2

uint32_t header_fields2

Definition at line 444 of file FERS_Registers_520X.h.

## ◆ reserved5

uint32_t reserved5

Definition at line 445 of file FERS_Registers_520X.h.

## ◆ header_fields3

uint32_t header_fields3

Definition at line 446 of file FERS_Registers_520X.h.

## ◆ reserved6

uint32_t reserved6

Definition at line 447 of file FERS_Registers_520X.h.

## ◆ max_eventsize

uint32_t max_eventsize

Definition at line 448 of file FERS_Registers_520X.h.

## ◆ [3/27]

struct { ... } bits

## ◆

union { ... } Header

## ◆ trigger_latency

uint32_t trigger_latency

Definition at line 455 of file FERS_Registers_520X.h.

## ◆ trigger_window

uint32_t trigger_window

Definition at line 457 of file FERS_Registers_520X.h.

## ◆ [4/27]

struct { ... } bits

## ◆

union { ... } TrgWindow

## ◆ trg_ch0_delay

uint32_t trg_ch0_delay

Definition at line 466 of file FERS_Registers_520X.h.

## ◆ tot

uint32_t tot

Definition at line 468 of file FERS_Registers_520X.h.

## ◆ tot_8bit

uint32_t tot_8bit

Definition at line 469 of file FERS_Registers_520X.h.

## ◆ tot_startbit

uint32_t tot_startbit

Definition at line 470 of file FERS_Registers_520X.h.

## ◆ tot_saturate

uint32_t tot_saturate

Definition at line 471 of file FERS_Registers_520X.h.

## ◆ tot_leadingstartbit

uint32_t tot_leadingstartbit

Definition at line 472 of file FERS_Registers_520X.h.

## ◆ [5/27]

struct { ... } bits

## ◆

union { ... } Trg0Del_ToT

## ◆ bunchcount_overflow

uint32_t bunchcount_overflow

Definition at line 480 of file FERS_Registers_520X.h.

## ◆ bunchcount_offset

uint32_t bunchcount_offset

Definition at line 482 of file FERS_Registers_520X.h.

## ◆ [6/27]

struct { ... } bits

## ◆

union { ... } BunchCount

## ◆ eventid_overflow

uint32_t eventid_overflow

Definition at line 490 of file FERS_Registers_520X.h.

## ◆ eventid_offset

uint32_t eventid_offset

Definition at line 492 of file FERS_Registers_520X.h.

## ◆ [7/27]

struct { ... } bits

## ◆

union { ... } EventID

## ◆ channel_offset

uint32_t channel_offset

Definition at line 500 of file FERS_Registers_520X.h.

## ◆ falling_en_tm

uint32_t falling_en_tm

Definition at line 501 of file FERS_Registers_520X.h.

## ◆ highres_en_tm

uint32_t highres_en_tm

Definition at line 502 of file FERS_Registers_520X.h.

## ◆ scan_en_tm

uint32_t scan_en_tm

Definition at line 503 of file FERS_Registers_520X.h.

## ◆ scan_in_tm

uint32_t scan_in_tm

Definition at line 504 of file FERS_Registers_520X.h.

## ◆ channel_enable

uint32_t channel_enable

Definition at line 506 of file FERS_Registers_520X.h.

## ◆ [8/27]

struct { ... } bits

## ◆

union { ... } Ch_Control[64]

## ◆ channel_buffer_size

uint32_t channel_buffer_size

Definition at line 513 of file FERS_Registers_520X.h.

## ◆ readout_buffer_size

uint32_t readout_buffer_size

Definition at line 514 of file FERS_Registers_520X.h.

## ◆ trigger_buffer_size

uint32_t trigger_buffer_size

Definition at line 515 of file FERS_Registers_520X.h.

## ◆ disable_ro_reject

uint32_t disable_ro_reject

Definition at line 516 of file FERS_Registers_520X.h.

## ◆ errorcnts_saturate

uint32_t errorcnts_saturate

Definition at line 517 of file FERS_Registers_520X.h.

## ◆ max_grouphits

uint32_t max_grouphits

Definition at line 519 of file FERS_Registers_520X.h.

## ◆ [9/27]

struct { ... } bits

## ◆

union { ... } Buffers

## ◆ hrx_top_delay

uint32_t hrx_top_delay

Definition at line 527 of file FERS_Registers_520X.h.

## ◆ hrx_top_bias

uint32_t hrx_top_bias

Definition at line 528 of file FERS_Registers_520X.h.

## ◆ hrx_top_filter_trailing

uint32_t hrx_top_filter_trailing

Definition at line 529 of file FERS_Registers_520X.h.

## ◆ hrx_top_filter_leading

uint32_t hrx_top_filter_leading

Definition at line 530 of file FERS_Registers_520X.h.

## ◆ hrx_top_en_r

uint32_t hrx_top_en_r

Definition at line 531 of file FERS_Registers_520X.h.

## ◆ hrx_top_en

uint32_t hrx_top_en

Definition at line 532 of file FERS_Registers_520X.h.

## ◆ hrx_bot_delay

uint32_t hrx_bot_delay

Definition at line 533 of file FERS_Registers_520X.h.

## ◆ hrx_bot_bias

uint32_t hrx_bot_bias

Definition at line 534 of file FERS_Registers_520X.h.

## ◆ hrx_bot_filter_trailing

uint32_t hrx_bot_filter_trailing

Definition at line 535 of file FERS_Registers_520X.h.

## ◆ hrx_bot_filter_leading

uint32_t hrx_bot_filter_leading

Definition at line 536 of file FERS_Registers_520X.h.

## ◆ hrx_bot_en_r

uint32_t hrx_bot_en_r

Definition at line 537 of file FERS_Registers_520X.h.

## ◆ hrx_bot_en

uint32_t hrx_bot_en

Definition at line 538 of file FERS_Registers_520X.h.

## ◆ tx_strenght

uint32_t tx_strenght

Definition at line 539 of file FERS_Registers_520X.h.

## ◆ [10/27]

struct { ... } bits

## ◆

union { ... } Hit_RX_TX

## ◆ dll_bias_val

uint32_t dll_bias_val

Definition at line 547 of file FERS_Registers_520X.h.

## ◆ dll_bias_cal

uint32_t dll_bias_cal

Definition at line 548 of file FERS_Registers_520X.h.

## ◆ dll_cp_comp

uint32_t dll_cp_comp

Definition at line 549 of file FERS_Registers_520X.h.

## ◆ dll_ctrlval

uint32_t dll_ctrlval

Definition at line 550 of file FERS_Registers_520X.h.

## ◆ dll_fixctrl

uint32_t dll_fixctrl

Definition at line 551 of file FERS_Registers_520X.h.

## ◆ dll_extctrl

uint32_t dll_extctrl

Definition at line 552 of file FERS_Registers_520X.h.

## ◆ dll_cp_comp_dir

uint32_t dll_cp_comp_dir

Definition at line 553 of file FERS_Registers_520X.h.

## ◆ dll_en_bias_cal

uint32_t dll_en_bias_cal

Definition at line 554 of file FERS_Registers_520X.h.

## ◆ tg_bot_nen_fine

uint32_t tg_bot_nen_fine

Definition at line 555 of file FERS_Registers_520X.h.

## ◆ tg_bot_nen_coarse

uint32_t tg_bot_nen_coarse

Definition at line 556 of file FERS_Registers_520X.h.

## ◆ tg_top_nen_fine

uint32_t tg_top_nen_fine

Definition at line 557 of file FERS_Registers_520X.h.

## ◆ tg_top_nen_coarse

uint32_t tg_top_nen_coarse

Definition at line 558 of file FERS_Registers_520X.h.

## ◆ tg_cal_nrst

uint32_t tg_cal_nrst

Definition at line 559 of file FERS_Registers_520X.h.

## ◆ tg_cal_parity_in

uint32_t tg_cal_parity_in

Definition at line 560 of file FERS_Registers_520X.h.

## ◆ [11/27]

struct { ... } bits

## ◆

union { ... } DLL_TG

## ◆ pll_cp_ce

uint32_t pll_cp_ce

Definition at line 568 of file FERS_Registers_520X.h.

## ◆ pll_cp_dacset

uint32_t pll_cp_dacset

Definition at line 569 of file FERS_Registers_520X.h.

## ◆ pll_cp_irefcpset

uint32_t pll_cp_irefcpset

Definition at line 570 of file FERS_Registers_520X.h.

## ◆ pll_cp_mmcomp

uint32_t pll_cp_mmcomp

Definition at line 571 of file FERS_Registers_520X.h.

## ◆ pll_cp_mmdir

uint32_t pll_cp_mmdir

Definition at line 572 of file FERS_Registers_520X.h.

## ◆ pll_pfd_enspfd

uint32_t pll_pfd_enspfd

Definition at line 573 of file FERS_Registers_520X.h.

## ◆ pll_resistor

uint32_t pll_resistor

Definition at line 574 of file FERS_Registers_520X.h.

## ◆ pll_sw_ext

uint32_t pll_sw_ext

Definition at line 575 of file FERS_Registers_520X.h.

## ◆ pll_vco_dacsel

uint32_t pll_vco_dacsel

Definition at line 576 of file FERS_Registers_520X.h.

## ◆ pll_vco_dacset

uint32_t pll_vco_dacset

Definition at line 577 of file FERS_Registers_520X.h.

## ◆ [12/27]

struct { ... } bits

## ◆

union { ... } PLL1

## ◆ pll_vco_dac_ce

uint32_t pll_vco_dac_ce

Definition at line 584 of file FERS_Registers_520X.h.

## ◆ pll_vco_igen_start

uint32_t pll_vco_igen_start

Definition at line 585 of file FERS_Registers_520X.h.

## ◆ pll_railmode_vco

uint32_t pll_railmode_vco

Definition at line 586 of file FERS_Registers_520X.h.

## ◆ pll_abuffdacset

uint32_t pll_abuffdacset

Definition at line 587 of file FERS_Registers_520X.h.

## ◆ pll_buffce

uint32_t pll_buffce

Definition at line 588 of file FERS_Registers_520X.h.

## ◆ pll_afcvcal

uint32_t pll_afcvcal

Definition at line 589 of file FERS_Registers_520X.h.

## ◆ pll_afcstart

uint32_t pll_afcstart

Definition at line 590 of file FERS_Registers_520X.h.

## ◆ pll_afcrst

uint32_t pll_afcrst

Definition at line 591 of file FERS_Registers_520X.h.

## ◆ pll_afc_override

uint32_t pll_afc_override

Definition at line 592 of file FERS_Registers_520X.h.

## ◆ pll_bt0

uint32_t pll_bt0

Definition at line 593 of file FERS_Registers_520X.h.

## ◆ pll_afc_overrideval

uint32_t pll_afc_overrideval

Definition at line 594 of file FERS_Registers_520X.h.

## ◆ pll_afc_overridesig

uint32_t pll_afc_overridesig

Definition at line 595 of file FERS_Registers_520X.h.

## ◆ [13/27]

struct { ... } bits

## ◆

union { ... } PLL2

## ◆ hit_phase

uint32_t hit_phase

Definition at line 604 of file FERS_Registers_520X.h.

## ◆ trig_phase

uint32_t trig_phase

Definition at line 606 of file FERS_Registers_520X.h.

## ◆ bx_rst_phase

uint32_t bx_rst_phase

Definition at line 608 of file FERS_Registers_520X.h.

## ◆ eid_rst_phase

uint32_t eid_rst_phase

Definition at line 610 of file FERS_Registers_520X.h.

## ◆ par_speed

uint32_t par_speed

Definition at line 612 of file FERS_Registers_520X.h.

## ◆ par_phase

uint32_t par_phase

Definition at line 614 of file FERS_Registers_520X.h.

## ◆ sync_clock

uint32_t sync_clock

Definition at line 615 of file FERS_Registers_520X.h.

## ◆ ext_clk_dll

uint32_t ext_clk_dll

Definition at line 616 of file FERS_Registers_520X.h.

## ◆ [14/27]

struct { ... } bits

## ◆

union { ... } Clocks

## ◆ shift_clk1G28

uint32_t shift_clk1G28

Definition at line 625 of file FERS_Registers_520X.h.

## ◆ shift_clk640M

uint32_t shift_clk640M

Definition at line 626 of file FERS_Registers_520X.h.

## ◆ shift_clk320M

uint32_t shift_clk320M

Definition at line 627 of file FERS_Registers_520X.h.

## ◆ shift_clk320M_ref

uint32_t shift_clk320M_ref

Definition at line 628 of file FERS_Registers_520X.h.

## ◆ shift_clk160M

uint32_t shift_clk160M

Definition at line 629 of file FERS_Registers_520X.h.

## ◆ shift_clk80M

uint32_t shift_clk80M

Definition at line 630 of file FERS_Registers_520X.h.

## ◆ shift_clk40M

uint32_t shift_clk40M

Definition at line 631 of file FERS_Registers_520X.h.

## ◆ [15/27]

struct { ... } bits

## ◆

union { ... } ClockShift

## ◆ hrx_enable_t

uint32_t hrx_enable_t

Definition at line 638 of file FERS_Registers_520X.h.

## ◆ [16/27]

struct { ... } bits

## ◆

union { ... } Hit_RXen_T

## ◆ hrx_enable_b

uint32_t hrx_enable_b

Definition at line 645 of file FERS_Registers_520X.h.

## ◆ [17/27]

struct { ... } bits

## ◆

union { ... } Hit_RXen_B

## ◆ pg_run

uint32_t pg_run

Definition at line 652 of file FERS_Registers_520X.h.

## ◆ pg_rep

uint32_t pg_rep

Definition at line 653 of file FERS_Registers_520X.h.

## ◆ pg_direct

uint32_t pg_direct

Definition at line 654 of file FERS_Registers_520X.h.

## ◆ pg_ini

uint32_t pg_ini

Definition at line 655 of file FERS_Registers_520X.h.

## ◆ pg_en

uint32_t pg_en

Definition at line 656 of file FERS_Registers_520X.h.

## ◆ pg_strength

uint32_t pg_strength

Definition at line 657 of file FERS_Registers_520X.h.

## ◆ pg_rising

uint32_t pg_rising

Definition at line 659 of file FERS_Registers_520X.h.

## ◆ [18/27]

struct { ... } bits

## ◆

union { ... } PulseGen1

## ◆ pg_phase

uint32_t pg_phase

Definition at line 667 of file FERS_Registers_520X.h.

## ◆ pg_falling

uint32_t pg_falling

Definition at line 668 of file FERS_Registers_520X.h.

## ◆ [19/27]

struct { ... } bits

## ◆

union { ... } PulseGen2

## ◆ pg_reload

uint32_t pg_reload

Definition at line 676 of file FERS_Registers_520X.h.

## ◆ [20/27]

struct { ... } bits

## ◆

union { ... } PulseGen3

## ◆ error_flags_1

uint32_t error_flags_1

Definition at line 684 of file FERS_Registers_520X.h.

## ◆ error_flags_2

uint32_t error_flags_2

Definition at line 685 of file FERS_Registers_520X.h.

## ◆ error_flags_3

uint32_t error_flags_3

Definition at line 686 of file FERS_Registers_520X.h.

## ◆ [21/27]

struct { ... } bits

## ◆

union { ... } ErrorFlagCtrl

## ◆ tg_delay_taps

uint32_t tg_delay_taps

Definition at line 694 of file FERS_Registers_520X.h.

## ◆ [22/27]

struct { ... } bits

## ◆

union { ... } DelayAdjust

## ◆ ch_fillgrade

uint32_t ch_fillgrade

Definition at line 706 of file FERS_Registers_520X.h.

## ◆ ch_dropped

uint32_t ch_dropped

Definition at line 707 of file FERS_Registers_520X.h.

## ◆ ch_parity

uint32_t ch_parity

Definition at line 708 of file FERS_Registers_520X.h.

## ◆ scan_out

uint32_t scan_out

Definition at line 709 of file FERS_Registers_520X.h.

## ◆ ch_stateerr

uint32_t ch_stateerr

Definition at line 711 of file FERS_Registers_520X.h.

## ◆ [23/27]

struct { ... } bits

## ◆

union { ... } Ch_Status[64]

## ◆ tr_fillgrade

uint32_t tr_fillgrade

Definition at line 719 of file FERS_Registers_520X.h.

## ◆ tr_dropped

uint32_t tr_dropped

Definition at line 720 of file FERS_Registers_520X.h.

## ◆ tr_parity

uint32_t tr_parity

Definition at line 721 of file FERS_Registers_520X.h.

## ◆ tr_stateerr

uint32_t tr_stateerr

Definition at line 723 of file FERS_Registers_520X.h.

## ◆ [24/27]

struct { ... } bits

## ◆

union { ... } Trg_Status[4]

## ◆ ro_fillgrade

uint32_t ro_fillgrade

Definition at line 732 of file FERS_Registers_520X.h.

## ◆ ro_dropped

uint32_t ro_dropped

Definition at line 733 of file FERS_Registers_520X.h.

## ◆ ro_corrected

uint32_t ro_corrected

Definition at line 734 of file FERS_Registers_520X.h.

## ◆ ro_multibiterr

uint32_t ro_multibiterr

Definition at line 736 of file FERS_Registers_520X.h.

## ◆ [25/27]

struct { ... } bits

## ◆

union { ... } RO_Status[4]

## ◆ parity

uint32_t parity

Definition at line 745 of file FERS_Registers_520X.h.

## ◆ [26/27]

struct { ... } bits

## ◆

union { ... } Cfg_Parity[3]

## ◆ pll_selectedcap

uint32_t pll_selectedcap

Definition at line 752 of file FERS_Registers_520X.h.

## ◆ [27/27]

struct { ... } bits

## ◆

union { ... } PLL_Caps

The documentation for this struct was generated from the following file:

- FERS_Registers_520X.h